_Object_ merge( _Object_ left, _Object_ right) `[web]`

Taken from [deepmerge package by nrf110](https://github.com/nrf110/deepmerge), a function that deeply merges objects. Function returns the merged `Object`. Takes two arguments, left `Object` and right `Object`. Right side overwrites left side.

```javascript
// Usage
var x = { foo: { bar: 3 },
  array: [ { does: 'work', too: [ 1, 2, 3 ] },{ really: 'yes' } ] }
var y = { foo: { baz: 4 },
  quux: 5,
  array: [ { does: 'work', too: [ 3,4, 5, 6 ] }, { really: 'ysee' } ] }

  _.merge(x,y)
// would result
{
    "foo": {
        "bar": 3,
        "baz": 4
    },
    "array": [
        {
            "does": "work",
            "too": [
                1,
                2,
                3,
                3,
                4,
                5,
                6
            ]
        },
        {
            "really": "ysee"
        }
    ],
    "quux": 5
}
```